#ifndef __IMAGEPROCS_H__
#define __IMAGEPROCS_H__

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

// for ros
#include <opencv/cv.h>
#include <opencv/cvaux.h>
#include <opencv/cxcore.h>
//#include <cv.h>
//#include <cvaux.h>
//#include <cxcore.h>

#include <math.h>

#ifdef _MSC_VER
#include <windows.h>
#endif

#define PI (atan(1.0)*4.0)

void FindExtrinsicCameraParams(float *point3d,float *point2d,int num,float focal,float *result);
void FindExtrinsicCameraParamsRANSAC(float *point3d,float *point2d,int num,float focal,float *result);


#endif
